Package name
jbigkit
Date
2014-04-11
Advisory ID
MDVSA-2014:077
Affected versions
MES5 i586 , MBS1 x86_64 , MES5 x86_64

Problem description

A vulnerability has been discovered and corrected in jbigkit:

Stack-based buffer overflow in the jbg_dec_in function in
libjbig/jbig.c in JBIG-KIT before 2.1 allows remote attackers to
cause a denial of service (application crash) and possibly execute
arbitrary code via a crafted image file (CVE-2013-6369).

The updated packages for mbs1 have been upgraded to the 2.1 version and
the packages for mes5 has been patched to resolve this security flaw.

Updated packages

MES5 i586

 9d8c91789c60da3fecee77a49c5310d4  mes5/i586/jbigkit-1.6-3.1mdvmes5.2.i586.rpm
 d5a2dc7d87e77464ab16db94580a21bf  mes5/i586/libjbig0-1.6-3.1mdvmes5.2.i586.rpm
 e84cd3d872276cf4e07c6c5492be8da4  mes5/i586/libjbig-devel-1.6-3.1mdvmes5.2.i586.rpm 
 0ec0e8efa6cb3ec0d677168fcde7fda6  mes5/SRPMS/jbigkit-1.6-3.1mdvmes5.2.src.rpm

MBS1 x86_64

 30ffc8bc9b2f93e101a74bc6c369c251  mbs1/x86_64/jbigkit-2.1-1.mbs1.x86_64.rpm
 f929555b46784a872d5d724b6ec9ee36  mbs1/x86_64/lib64jbig1-2.1-1.mbs1.x86_64.rpm
 77f06c19a1d3b07b5c3378171fddb89c  mbs1/x86_64/lib64jbig-devel-2.1-1.mbs1.x86_64.rpm 
 a322f2709a5c5263c1ff6364c580329c  mbs1/SRPMS/jbigkit-2.1-1.mbs1.src.rpm

MES5 x86_64

 d58973e5576172f17a9ef08141112d4a  mes5/x86_64/jbigkit-1.6-3.1mdvmes5.2.x86_64.rpm
 e42a0cb60c9d42d279c7c5956c3b71be  mes5/x86_64/lib64jbig0-1.6-3.1mdvmes5.2.x86_64.rpm
 f2acf671b84073f40d4c315c0c86de2c  mes5/x86_64/lib64jbig-devel-1.6-3.1mdvmes5.2.x86_64.rpm 
 0ec0e8efa6cb3ec0d677168fcde7fda6  mes5/SRPMS/jbigkit-1.6-3.1mdvmes5.2.src.rpm

References